Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class JPopupMenuUtils

    java.lang.Object
      org.openide.awt.JPopupMenuUtils

    public class JPopupMenuUtils

extends Object

A class that contains a set of utility classes and methods around displaying and positioning popup menus. Popup menus sometimes need to be repositioned so that they don't "fall off" the edges of the screen. Some of the menus have items that are added dynamically, that is, after the menu is displayed. These menus are often placed correctly for their initial size, but will need to be repositioned as they grow.

Constructor Summary
`JPopupMenuUtils()`

Method Summary
`static void` | `dynamicChange(JPopupMenu popup, boolean usedToBeContained)`
`static void` | `dynamicChangeToSubmenu(JPopupMenu popup, boolean usedToBeContained)`
`static Rectangle` | `getScreenRect()`
`static boolean` | `isPopupContained(JPopupMenu popup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPopupMenuUtils

    public JPopupMenuUtils()

Method Detail

### dynamicChange

    public static void dynamicChange(JPopupMenu popup,
                                     boolean usedToBeContained)

### dynamicChangeToSubmenu

    public static void dynamicChangeToSubmenu(JPopupMenu popup,
                                              boolean usedToBeContained)

### isPopupContained

    public static boolean isPopupContained(JPopupMenu popup)

### getScreenRect

    public static Rectangle getScreenRect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.